#!/usr/bin/env bash

set -e

git pull

# Copy static site
hugo
cp -r public/* /var/www/mfashby.net/

# build & install comments app
pushd comments
cargo build --release
install -m755 target/release/comments /usr/local/bin/comments
install -m755 comments.service /etc/systemd/system/comments.service
popd
systemctl restart comments
